pages:
  stage: deploy
  tags:
    - aws
  image: python:3.8
  cache:
    key: deploy
    paths:
      - public
  artifacts:
    paths:
      - public
  script:
    - echo 'add ssh key'
    - which ssh-agent || ( apt-get install -qq openssh-client )
    - eval $(ssh-agent -s)
    - mkdir -p ~/.ssh
    - mv $SSH_PRIVATE_KEY ~/.ssh/id_rsa
    - chmod 700 ~/.ssh/id_rsa
    - ssh-add ~/.ssh/id_rsa
    - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
    - git config --global user.email $SSH_EMAIL
    - git config --global user.name "Project Sekai Administrator"

    - git clone git@gitlab.com:pjsekai/scripts.git scripts
    - git clone git@gitlab.com:pjsekai/api.git scripts/api

    - cd scripts
    - pip install -r requirements.txt
    - pip install -r requirements-assets.txt
  
    - mkdir -p ../public
    - ln -s ../public
    - python assets.py -j 0/32 ".*"
